
From: NeilBrown <neilb@cse.unsw.edu.au>

This error only affects two message (and sysadmin heart-rate).  It does not
risk data.

Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/raid5.c     |    2 +-
 25-akpm/drivers/md/raid6main.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/md/raid5.c~md-correct-working_disk-counts-for-raid5-and-raid6 drivers/md/raid5.c
--- 25/drivers/md/raid5.c~md-correct-working_disk-counts-for-raid5-and-raid6	2004-09-02 20:24:07.819988944 -0700
+++ 25-akpm/drivers/md/raid5.c	2004-09-02 20:24:07.827987728 -0700
@@ -477,8 +477,8 @@ static void error(mddev_t *mddev, mdk_rd
 
 	if (!rdev->faulty) {
 		mddev->sb_dirty = 1;
-		conf->working_disks--;
 		if (rdev->in_sync) {
+			conf->working_disks--;
 			mddev->degraded++;
 			conf->failed_disks++;
 			rdev->in_sync = 0;
diff -puN drivers/md/raid6main.c~md-correct-working_disk-counts-for-raid5-and-raid6 drivers/md/raid6main.c
--- 25/drivers/md/raid6main.c~md-correct-working_disk-counts-for-raid5-and-raid6	2004-09-02 20:24:07.821988640 -0700
+++ 25-akpm/drivers/md/raid6main.c	2004-09-02 20:24:07.829987424 -0700
@@ -498,8 +498,8 @@ static void error(mddev_t *mddev, mdk_rd
 
 	if (!rdev->faulty) {
 		mddev->sb_dirty = 1;
-		conf->working_disks--;
 		if (rdev->in_sync) {
+			conf->working_disks--;
 			mddev->degraded++;
 			conf->failed_disks++;
 			rdev->in_sync = 0;
_
